<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Movie Catalog</title>
    <title th:text="|${actors.firstName} Details|">Update Actor</title>
</head>
<body>

<a th:href="@{/actors}">back</a>

<p></p>
<div class="btn-group" style="width:100%">
    <input type="button" onclick="location.href='/movies';" style=width:20%; value="Movies"/>
    <input type="button" onclick="location.href='/actors';" style=width:20%; value="Actors"/>
    <input type="button" onclick="location.href='/directors';" style=width:20%; value="Directors"/>
    <input type="button" onclick="location.href='/users';" style=width:20%; value="Users"/>
</div>



<script>
function validateForm() {
  var x = document.forms["myForm"]["firstName"].value;
  var y = document.forms["myForm"]["lastName"].value;
  var z = document.forms["myForm"]["dateOfBirth"].value;
  if (x == "") {
    alert("First name must be filled out");
    return false;
  }if (y == "") {
    alert("Last name must be filled out");
    return false;
    }if (z == "") {
    alert("Date of birth must be filled out");
    return false;
    }
}
</script>

<form th:action="@{/updateActor1}" name="myForm" action="/action_page.php" onsubmit="return validateForm()" method="post">
    <p>Update Actor:</p>
    <p>First Name: <input type="text" name="firstName" placeholder="First Name"></p>
    <p>Last Name: <input type="text" name="lastName" placeholder="Last Name"></p>
    <p>Year Born: <input type="number" name="dateOfBirth" placeholder="Date Of Birth"></p>
    <script>

    </script>
    <input type="hidden" name="id" th:value="${actors.id}" />
    <input type="submit" value="update Actor"/>
<!--    <form th:action="@{updateMyActor}" method="post">-->
<!--        <input type="hidden" name="id" th:value="${actors.id}" />-->
<!--        <input type="submit" value="Update" class="btn btn-danger" />-->
<!--    </form>-->
</form>




</form>
</body>
</html>